<div class="switch">
  <input type="radio" class="switch-input" [value]="0" [id]="id" [(ngModel)]="value" [disabled]="disabled" />
  <label [for]="id" class="switch-label switch-label-off">{{ label }}</label>
  <input type="radio" class="switch-input" [value]="1" [id]="id2" [(ngModel)]="value" [disabled]="disabled">
  <label [for]="id2" class="switch-label switch-label-on">{{ label2 }}</label>
  <span class="switch-selection" [ngClass]="{'disabled': disabled}"></span>
</div>
